/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workitemcollar.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 领用固定资产子表Entity
 * @author chenyuping
 * @version 2018-07-16
 */
public class WorkItemCollarItem extends DataEntity<WorkItemCollarItem> {
	
	private static final long serialVersionUID = 1L;
	private String workCollarId;		// 领用表id
	private String itemId;		// 物品一览表表id
	private String itemName;		// 物品名称
	private String itemType;		// 物品类型
	private String itemCatalogNumber;		// 物品编号
	private String itemModel;		// 物品型号
	private String itemPrimaryUnit;		// 计量单位
	private String itemNumber;		// 固定资产编号
	
	public WorkItemCollarItem() {
		super();
	}

	public WorkItemCollarItem(String id){
		super(id);
	}

	@ExcelField(title="领用表id", align=2, sort=7)
	public String getWorkCollarId() {
		return workCollarId;
	}

	public void setWorkCollarId(String workCollarId) {
		this.workCollarId = workCollarId;
	}
	
	@ExcelField(title="物品目录表id", align=2, sort=8)
	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}
	
	@ExcelField(title="物品名称", align=2, sort=9)
	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}
	
	@ExcelField(title="物品类型", align=2, sort=10)
	public String getItemType() {
		return itemType;
	}

	public void setItemType(String itemType) {
		this.itemType = itemType;
	}
	
	@ExcelField(title="物品编号", align=2, sort=11)
	public String getItemCatalogNumber() {
		return itemCatalogNumber;
	}

	public void setItemCatalogNumber(String itemCatalogNumber) {
		this.itemCatalogNumber = itemCatalogNumber;
	}
	
	@ExcelField(title="物品型号", align=2, sort=12)
	public String getItemModel() {
		return itemModel;
	}

	public void setItemModel(String itemModel) {
		this.itemModel = itemModel;
	}
	
	@ExcelField(title="计量单位", align=2, sort=13)
	public String getItemPrimaryUnit() {
		return itemPrimaryUnit;
	}

	public void setItemPrimaryUnit(String itemPrimaryUnit) {
		this.itemPrimaryUnit = itemPrimaryUnit;
	}
	
	@ExcelField(title="固定资产编号", align=2, sort=14)
	public String getItemNumber() {
		return itemNumber;
	}

	public void setItemNumber(String itemNumber) {
		this.itemNumber = itemNumber;
	}
	
}